=== debian/changelog ===
linux-guest-loader (1.9.0-1) UNRELEASED; urgency=low

  * Switch to upstream repository

 -- Euan Harris <euan.harris@citrix.com>  Mon, 17 Feb 2014 12:00:00 +0000

linux-guest-loader (0.9.1-1) UNRELEASED; urgency=low

  * Convert package from eliloader to upstream linux-guest-loader

 -- Mike McClurg <mike.mcclurg@citrix.com>  Wed, 22 Jan 2014 12:00:00 +0000

linux-guest-loader (0.3-1) UNRELEASED; urgency=low

  * Update to eliloader 0.3

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 24 Jun 2013 12:00:00 +0000

linux-guest-loader (0.2-1) UNRELEASED; urgency=low

  * Update to eliloader 0.2 (doesn't assume data file directory is present)

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 22 Jun 2013 12:00:00 +0000

linux-guest-loader (0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 22 Jun 2013 12:00:00 +0000
