=== debian/control ===
Source: linux-guest-loader
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 python-setuptools,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 xcp-python-libs,
 python-setuptools-git,
 python-dev

Package: linux-guest-loader
Architecture: all
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 xcp-python-libs
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Bootloader for EL-based distributions that support Xen
 Bootloader for EL-based distributions that support Xen.
